Ik heb zojuist WordPress 2.8 over DNZM heengejast -- op zich ging dat prima. In het kader van "laten we het eens anders doen" heb ik de zip geupload naar de server, en daar door DirectAdmin laten uitpakken. Yay, DirectAdmin.

Een heel wat snellere upgrade dan voorheen dus, en alles lijkt het te doen, in ieder geval aan de voorkant. In het backend lijken er wat dingen niet te kloppen -- bepaalde pagina's worden vroegtijdig afgebroken door een MySQL-fout; apart. Of dat door de upgrade of door iets anders komt weet ik nog niet, daar kom ik nog wel achter.

In ieder geval draait alles nog, maar dan op een nieuwere versie.

Update: Het lijkt niet zozeer een MySQL-fout te zijn. Wat het wel precies is weet ik niet. Ik begin te vermoeden dat er iets met PHP zelf aan de hand is -- het probleem is reproduceerbaar, en deels afhankelijk van plugins. Gooi ik ze er allemaal uit, dan is het probleem weg, maar ik heb nog niet de plugin kunnen isoleren die het probleem veroorzaakt.

Update 2: Nadat ik PHP wat meer geheugen had toegekend -- blijkbaar werkt dat op deze server wel als ik dat in een .htaccess file frots -- en WordPress zichzelf had laten updaten, werkt alles nu wél zoals het hoort. Ik ga nog even onderzoeken hoe dat zit met die updates vanuit DirectAdmin, maar voor nu ziet het er naar uit dat dat toch geen levensvatbare methode is.